## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanTransformerDefinitions.hpp File Reference

Include dependency graph for XalanTransformerDefinitions.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

- #define XALAN_TRANSFORMER_DEFINITIONS_HEADER_GUARD_1357924680
- #define XALAN_TRANSFORMER_EXPORT XALAN_PLATFORM_IMPORT
- #define XALAN_TRANSFORMER_EXPORT_FUNCTION(T) XALAN_PLATFORM_IMPORT_FUNCTION(T)

## Typedefs

- typedef size_t CallbackSizeType
- typedef CallbackSizeType (* XalanOutputHandlerType )(const char *, CallbackSizeType, void *)
    Callback function passed to the XalanTransformer APIs. More...
- typedef void (* XalanFlushHandlerType )(void *)
    Callback function passed to the XalanTransformer APIs. More...

## Define Documentation

#define XALAN_TRANSFORMER_DEFINITIONS_HEADER_GUARD_1357924680

Value:

#define XALAN_TRANSFORMER_EXPORT XALAN_PLATFORM_IMPORT

#define XALAN_TRANSFORMER_EXPORT_FUNCTION( | T ) XALAN_PLATFORM_IMPORT_FUNCTION(T)

## Typedef Documentation

typedef size_t CallbackSizeType

typedef void(* XalanFlushHandlerType)(void *)

Callback function passed to the XalanTransformer APIs.

Used to flush the buffer once transform is completed.

static void xalanFlushHandler(const void *handle);

Parameters:

  handle | handle of XalanTransformer instance.

typedef CallbackSizeType(* XalanOutputHandlerType)(const char *, CallbackSizeType, void *)

Callback function passed to the XalanTransformer APIs.

Used to process transformation output in blocks of data. Caller is responsible for streaming or copying data to a user allocated buffer. Caller should not attempt to write to or free this data.

The callback should return the number of bytes written, and this number should match the length received. Otherwise the XalanTransformToHandler function terminates and returns an error status.

static unsigned long xalanOutputHandler(const void* data, unsigned long length, const void *handle);

Parameters:

  data | a block of data
  length | length of block
  handle | handle of XalanTransformer instance.

Returns:
  number of bytes written

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.